##############################################################################
#
# Copyright (c) 2002 Nuxeo SARL
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################

from Interface import Base
def IForum(Base):
    def listPosts(REQUEST=None):
        """Return the top level postings"""

    def getForum():
        """Return the Forum object itself"""

    def generateId():
        """Return an available id"""

    def addPost(id='', title='', body='', author='', email='', in_reply_to='',
      REQUEST=None):
        """Add a Posting to current forum"""

    def addForum(id, title='', REQUEST=None):
        """Construct a new forum in the container it is called in"""

    def isSubscribed(someone):
        """Return portal member or email subscription state"""

    def subscribe(someone):
        """Subscribe portal member or anonymous email"""

    def unsubscribe(someone):
        """Remove portal member or anonymous email subscription"""

    def listSubscriptionsFor(someone):
        """Return user subscription state"""

    def log(message):
        """Logs an error message"""

