from Products.CMFCore.utils              import getToolByName


dtool = getToolByName(context,"portal_metadirectories").members
ntool = getToolByName(context,"portal_subscription")

for someone in ntool.listSubscribersFor(context):

    email = None
    if someone.startswith("email:"):
        email = someone[len("email:"):]
    else:
        try:
            email = dtool.getEntry(someone)['email']
        except:
            pass

    if email is not None:
        if email.find('@') <= 0:
            context.log("Can't send Post to '%s'" % str(someone))
        else:
            context.log("Mail sent to " + str(email))
            context.forum_notification_sendmail(context, mailto=email)

